- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.backupCollections.backups/export#try-it)

Exports a specific backup to a customer target Cloud Storage URI.

### HTTP request

`POST https://redis.googleapis.com/v1beta1/{name=projects/*/locations/*/backupCollections/*/backups/*}:export`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Redis backup resource name using the form: `projects/{projectId}/locations/{locationId}/backupCollections/{backup_collection_id}/backups/{backupId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "gcsBucket": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| Required. Specify destination to export a backup. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `gcsBucket` | `string` Google Cloud Storage bucket, like "my-bucket". |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).